package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class VdelegatoFirmaEstrattoreDistinte.
 * @see sicura.entities.VdelegatoFirmaEstrattoreDistinte
 * @author Hibernate Tools
 */
@Stateless
public class VdelegatoFirmaEstrattoreDistinteHome {

	private static final Log log = LogFactory.getLog(VdelegatoFirmaEstrattoreDistinteHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(VdelegatoFirmaEstrattoreDistinte transientInstance) {
		log.debug("persisting VdelegatoFirmaEstrattoreDistinte instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(VdelegatoFirmaEstrattoreDistinte persistentInstance) {
		log.debug("removing VdelegatoFirmaEstrattoreDistinte instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public VdelegatoFirmaEstrattoreDistinte merge(VdelegatoFirmaEstrattoreDistinte detachedInstance) {
		log.debug("merging VdelegatoFirmaEstrattoreDistinte instance");
		try {
			VdelegatoFirmaEstrattoreDistinte result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public VdelegatoFirmaEstrattoreDistinte findById(VdelegatoFirmaEstrattoreDistinteId id) {
		log.debug("getting VdelegatoFirmaEstrattoreDistinte instance with id: " + id);
		try {
			VdelegatoFirmaEstrattoreDistinte instance = entityManager.find(VdelegatoFirmaEstrattoreDistinte.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
